Name: kftpgrabber
Summary: Graphical FTP client for the K Desktop Environment.
Version: 0.5.0
Release: beta1
License: GPL
Group: Applications/Internet
URL: http://kftpgrabber.sourceforge.net
Source0: %name-%version-%release.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: qt >= 3.3.2, kdelibs >= 3.2.0, openssl >= 0.9.7
Prereq: qt, kdelibs, openssl
BuildPrereq: qt, kdelibs, openssl

%description
KFTPGrabber is a graphical FTP client for KDE. It provides a nice GUI for all file transfer operations, it
supports encrypted connections (both SSL and SFTP), site-to-site (FXP) transfers, a complete bookmark system and
also has a built in support for Zeroconf site discovery.

%prep
%setup -qn kftpgrabber-0.5.0-beta1

%build
%configure
make %{_smp_mflags}

%install
rm -fr %{buildroot}
%makeinstall
%find_lang %{name}

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kftpgrabber
%dir %{_datadir}/apps/kftpgrabber
%{_datadir}/apps/kftpgrabber/kftpgrabber-bi-wizard.png
%{_datadir}/apps/kftpgrabber/kftpgrabber-logo.png
%{_datadir}/apps/kftpgrabber/kftpgrabberui.rc
%dir %doc %{_datadir}/doc/HTML/en/kftpgrabber
%doc %{_datadir}/doc/HTML/en/kftpgrabber/common
%doc %{_datadir}/doc/HTML/en/kftpgrabber/index.cache.bz2
%doc %{_datadir}/doc/HTML/en/kftpgrabber/index.docbook
%{_datadir}/icons/hicolor/16x16/apps/kftpgrabber.png
%{_datadir}/icons/hicolor/32x32/apps/kftpgrabber.png
%{_datadir}/icons/hicolor/48x48/apps/kftpgrabber.png
%{_datadir}/servicetypes/kftpbookmarkimportplugin.desktop
%{_datadir}/services/kftpimportplugin_gftp.desktop
%{_datadir}/applications/kde/kftpgrabber.desktop

%{_includedir}/kftpgrabber/kftpbookmarkimportplugin.h

# shouldn't install libtool .la files
%{_libdir}/libkftpinterfaces.la
%{_libdir}/kde3/kftpimportplugin_gftp.la

%{_libdir}/kde3/kftpimportplugin_gftp.so
%{_libdir}/libkftpinterfaces.so.0.0.0
%{_libdir}/libkftpinterfaces.so.0

%changelog
* Sun Oct 31 2004 SilentBob <RussianMinnesota _-@-_ gmail _-D0T-_ C0|\/|>

KFTPGrabber Changelog
=====================
(c) 2003-2004 the KFTPGrabber developers.

VERSION 0.5.0-beta1
  ADD: Experimental SFTP support
  ADD: Support of implicit SSL connections
  ADD: Support for setting the local directory
  ADD: Setting the password for anonymous connections is now possible
  ADD: Using transfermodes other than plain FTP is now possible from the quick connect dialog
  ADD: Bookmark sidebar
  ADD: Zeroconf sidebar
  ADD: Saving the mainwindow's position
  ADD: Password dialog for Zeroconf connections
  CHG: Use of KMDI for the user interface
  CHG: Reworked bookmark editor
  FIX: Off by one for the date's month when uploading files
  FIX: Reconnection delay can now be up to 9999 seconds
  FIX: Detection of QSA and Howl in the configure script
  FIX: ETA calculation
  FIX: Lots of compile fixes and other bugfixes
  REM: Global option for the remote directory. The one provided by the server is now used, if not being overridden by the bookmark setting
